Subject: bug#18381: 24.3.93; Diary can wrongly be displayed in Calendar's window

From: Glenn Morris <[email-masked]>
Date: Mon, 08 Sep 2014 21:26:04 -0400

Actually it's still not 100% right...

emacs -Q 
M-x diary
M-x calendar
M-x diary    -> clobbered calendar window; not so in 24.3

I see now that the cause is that the pixelwise change that I bisected to
earlier added display-buffer-in-previous-window to
display-buffer-fallback-action - it wasn't there before.

So I can restore the 24.3 behaviour by using this horrible thing:

(let ((display-buffer-fallback-action
       (list (delq 'display-buffer-in-previous-window
                (copy-sequence (car display-buffer-fallback-action))))))
  ...)

This is Not The Right Thing, but ought to restore 24.3-like behaviour.

I think what I really want is a way to say to display-buffer:
never use a window showing buffer X.

Is that doable?